光的传人

DZ升级小窍门,解决FastCGI Error错误(Discuz! X2.5后台在线升级到X3.2)

今天把一个论坛升级了,从Discuz! X2.5后台在线升级到Discuz! X3.2,期间经历了不少问题,终于解决了。先来说一下过程,再来总结一下最后成功的小技巧。

之前出来Discuz! X3.0的时候就想升级,可是出现了这个问题“文件 static/image/postbg/3.jpg 下载出现问题,请查看您的服务器网络以及data目录是否有写权限,请确认无误后点击确定”,一直没解决,这次百度了下,发现是官方升级文件问题,官方给出了解决方法“出现这个问题请找到 source/admincp/admincp_upgrade.php 这个文件,将文件中的$offset = 100 * 1024;替换为$offset = 0;”即可成功解决该问题。

解决这个3.jpg问题后,自动升级又出来新问题:出现“FastCGI Error”错误界面。后退的话又从上一个问题点确定的界面开始升级。这是怎么回事呢?搜索了下这个问题,文章“iis下FastCGI 的常见Error错误”说是“用iis服务器+FastCGI配置的php环境会经常出现FastCGI Error的错误,像5 (0x80070005)、2147467259(0x80004005)、1413 (0x80070585)、-1073741819 (0xc0000005)等”解决方法牵扯到服务器的设置、文件修改了,这个太麻烦,也不应该是同一个问题。又查看了很多资料,发现很多回答都基本没用。

比如“安装论坛到第三步出现FastCGI错误~~”这篇文章中,很多回答基本上没啥帮助。“解决wordpress升级时出现的FastCGI超时错误”很高端的解决方法,应该跟本类型“DZ后台自动升级出现的FastCGI超时错误”差不多的问题。可是他的解决方法需要修改系统配置文件,我没有测试,不知道真的能不能解决。于是决定靠自己思考问题根本所在来解决这一问题。

从“解决wordpress升级时出现的FastCGI超时错误”文中这段话“前一段时间把本地环境升级成了IIS+PHP5.3,使用FastCGI运行模式。我的wordpress是很早之前安装的,登陆后台时打算升级一下系统。问题来了,点击自动升级,浏览器加载了大半天后IIS直接给我抛出个FastCGI错误,fastcgi error显示的错误描述是一行乱码,应该是页面执行超时。”可以了解到,FastCGI Error错误根本原因是页面执行超时,因为自动升级,所以程序自动执行,没有人操作,就可能造成超时。

怎么办呢?无意间的一个小举动,帮我解决大问题。在升级过程中,无意间点了一下自动升级界面最下面的一行字”如果您的浏览器没有自动跳转,请点击这里“,再出现FastCGI Error错误后退时,就后退到了上次点击的升级百分数状态。

思考:难道因为点击了一下,服务器IIS就认为是操作,从而不会导致自动执行超时出现FastCGI ?有可能!

于是就不停的点击“如果您的浏览器没有自动跳转,请点击这里”,直到升级成功,没有再出现FastCGI Error错误!

是不是很实用的小技巧?由此可以推断,此类问题“FastCGI Error错误”不管是升级DZ还是WP等等,可以用次小技巧试试,说不定比修改系统设置简单多、方便多了!

网友评论(以下内容仅代表网友观点,与本站无关)

原创文章请注明转载自光的传人博客本文地址:http://www.liu16.com/post/FastCGIError.html,标题:DZ升级小窍门,解决FastCGI Error错误(Discuz! X2.5后台在线升级到X3.2)

【我来说两句】
分享到:

评论 0

发表评论:

阿光验证码

◎欢迎参与讨论,请在这里发表您的看法、交流您的观点。